Returns a report on the import.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Import identifier returned in a successful 201 response from the POST Invoke the file import workflow request.
Returns import report.
Example of a partially successful import
{
"status": "PARTIAL_SUCCESS",
"processedRows": 7000,
"failedRows": 3000,
"message": "When importing S3 file entity-import/e15fbe4e-e59e-4652-9b61-7fe1a412c55b/data into entity Import_2, 3000 of 10000 rows could not be imported. Check the error file in S3 for details."
}Example of a successful import
{
"status": "SUCCESS",
"processedRows": 5,
"message": "When importing S3 file entity-import/e15fbe4e-e59e-4652-9b61-7fe1a412c55b/data into entity Import_2, 10000 rows were imported."
}Overall result of the import job.
Number of rows processed successfully. This parameter doesn't appear if the import status is FAILED.
Number of rows that failed to import. This parameter doesn't appear if the import status is SUCCESS.
Summary of the import result and where to find error details.
Bad request.
Import ID not found.